"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const svgo_1 = __importDefault(require("svgo"));
const core_1 = require("@babel/core");
const babel_plugin_react_svg_1 = __importDefault(require("babel-plugin-react-svg"));
const svgo_2 = require("./svgo");
// SVGO Optimize
function optimize(opts = {}) {
    opts = svgo_2.validateAndFix(opts);
    const svgo = new svgo_1.default(opts);
    return (content) => svgo.optimize(content).then(data => data.data);
}
exports.optimize = optimize;
// Babel Transform
function transform({ jsx = false } = {}) {
    return content => core_1.transformSync(content, {
        babelrc: false,
        configFile: false,
        presets: [jsx ? void 0 : require.resolve("@babel/preset-react")].filter(Boolean),
        plugins: [require.resolve("@babel/plugin-syntax-jsx"), babel_plugin_react_svg_1.default]
    });
}
exports.transform = transform;
//# sourceMappingURL=index.js.map